Name:          perl-URI
Version:       5.11
Release:       1mamba
Summary:       URI - Perl URI module
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/URI/URI-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-Business-ISBN
BuildRequires: perl-devel >= 5.24
Requires:      perl >= %perl_major_ver

%description
The Perl-URI module implements the URI class.
Objects of this class represent Uniform Resource Identifier references as specified in RFC 2396 and updated by RFC 2732.

%package urn
Group:         Development/Libraries/Perl
Summary:       Perl URN submodule for perl-URI
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description urn
The Perl-URI module implements the URI class.
Objects of this class represent Uniform Resource Identifier references as specified in RFC 2396 and updated by RFC 2732.
This is the Perl URN submodule for perl-URI.

%prep
%setup -q -n URI-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %buildroot -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s@%buildroot@@g;s@.*/man/.*@&.gz@g" | \
   sort -u > .packlist.full && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %buildroot -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist.full
done

grep "URI/urn" .packlist.full > .packlist.URN
cat .packlist.full .packlist.URN | sort | uniq -u > .packlist.URI

grep "URI/urn" .packlist.full > .packlist.URN
cat .packlist.full .packlist.URN | sort | uniq -u > .packlist.URI

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist.full .packlist.URN .packlist.URI

%files -f .packlist.URI
%defattr(-,root,root)

%files -f .packlist.URN urn
%defattr(-,root,root)

%changelog
* Tue Jul 05 2022 Automatic Build System <autodist@mambasoft.it> 5.11-1mamba
- automatic version update by autodist

* Tue Oct 26 2021 Automatic Build System <autodist@mambasoft.it> 5.10-1mamba
- automatic version update by autodist

* Thu Mar 04 2021 Automatic Build System <autodist@mambasoft.it> 5.09-1mamba
- automatic version update by autodist

* Mon Mar 01 2021 Automatic Build System <autodist@mambasoft.it> 5.08-1mamba
- automatic version update by autodist

* Mon Feb 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.07-1mamba
- update to 5.07

* Wed Apr 29 2020 Automatic Build System <autodist@mambasoft.it> 1.74-1mamba
- automatic update by autodist

* Sat Nov 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.71-1mamba
- update to 1.71

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-2mamba
- perl 5.16 mass rebuild

* Wed Jun 13 2012 Automatic Build System <autodist@mambasoft.it> 1.60-1mamba
- automatic version update by autodist

* Wed Aug 17 2011 Automatic Build System <autodist@mambasoft.it> 1.59-1mamba
- automatic version update by autodist

* Sat Jan 29 2011 Automatic Build System <autodist@mambasoft.it> 1.58-1mamba
- automatic update by autodist

* Thu Oct 21 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.56-1mamba
- update to 1.56
- install modules with INSTALLDIRS=vendor 

* Sat Sep 04 2010 Automatic Build System <autodist@mambasoft.it> 1.55-1mamba
- automatic update by autodist

* Tue May 04 2010 Automatic Build System <autodist@mambasoft.it> 1.54-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 1.52-1mamba
- automatic update by autodist

* Sat Aug 29 2009 Automatic Build System <autodist@mambasoft.it> 1.40-1mamba
- automatic update by autodist

* Wed Jul 15 2009 Automatic Build System <autodist@mambasoft.it> 1.38-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.36-2mamba
- automatic rebuild by autodist

* Thu Jun 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.36-1mamba
- update to 1.36

* Tue Feb 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.35-1qilnx
- update to version 1.35 by autospec

* Mon May 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.29-3qilnx
- specfile updated

* Wed Jan 07 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.29-2qilnx
- rebuilt with perl 5.8.2

* Wed Jan 07 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.29-1qilnx
- rebuilt with Perl 5.8.1, updated to version 1.29

* Fri Sep 05 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.25-1qilnx
- first build
